Results 1 to 5 of 5

Thread: Install QOwnNotes

  1. #1
    Join Date
    Mar 2009
    Location
    Europe, CZ
    Posts
    57

    Default Install QOwnNotes

    I hope it belongs to this forum (Installation,...).

    There are dedicated packages for Leap 15.1 I'm running, so I downlaoded them and ran:

    Code:
    rpm -Uvh qownnotes-20.2.6-lp152.1.1.x86_64.rpm
    I get an error like this (attempted to translate it back to English):

    Code:
    Warging: qownnotes-20.2.6-lp152.1.1.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 62a835db: NOKEY
    Error: Failed Dependencies:
            libQt5Core.so.5(Qt_5.12)(64bit) is needed for qownnotes-20.2.6-lp152.1.1.x86_64
    However, I have libQtCore5 installed, which clearly provides:

    Code:
    /usr/lib64/libQt5Core.so.5
    So, does anyone has an idea what's wrong and how could I fix it, please?

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,970

    Default Re: Install QOwnNotes

    When you installed something not from the standard openSUSE repos, please explain where you downloaded and/or installed things from.

    If you want to show here the output in English, prefix the statement with LANG=C, like
    Code:
    LANG=C rpm -Uvh qownnotes-20.2.6-lp152.1.1.x86_64.rpm
    You can use rpm to install, but using zypper in general gives more functionality (e.g. installing needed packages that are in available repos, better error messages):
    Code:
    zypper install <path/to/>qownnotes-20.2.6-lp152.1.1.x86_64.rpm
    Henk van Velden

  3. #3
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    28,195
    Blog Entries
    15

    Default Re: Install QOwnNotes

    Quote Originally Posted by oakld View Post
    I hope it belongs to this forum (Installation,...).

    There are dedicated packages for Leap 15.1 I'm running, so I downlaoded them and ran:

    Code:
    rpm -Uvh qownnotes-20.2.6-lp152.1.1.x86_64.rpm
    I get an error like this (attempted to translate it back to English):

    Code:
    Warging: qownnotes-20.2.6-lp152.1.1.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 62a835db: NOKEY
    Error: Failed Dependencies:
            libQt5Core.so.5(Qt_5.12)(64bit) is needed for qownnotes-20.2.6-lp152.1.1.x86_64
    However, I have libQtCore5 installed, which clearly provides:

    Code:
    /usr/lib64/libQt5Core.so.5
    So, does anyone has an idea what's wrong and how could I fix it, please?
    Hi
    Your installing the wrong version, the one you downloaded is for the upcoming release 15.2 (lp152) the version you require should have lp151.
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  4. #4
    Join Date
    Mar 2009
    Location
    Europe, CZ
    Posts
    57

    Default Re: Install QOwnNotes

    Thank you for the replies. I found my mistake with accidental click to a wrong link to 15.2 version instead of 15.1 few minutes after I submitted this thread. I installed the correct RPM version succesfully and posted a reply right away, but something got wrong and the reply was not published.

    So I'm really sorry I bothered you with my mistake.

  5. #5
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,970

    Default Re: Install QOwnNotes

    Quote Originally Posted by oakld View Post

    So I'm really sorry I bothered you with my mistake.
    No problem. We know that making a thread often makes you observe the problem from another side, opening new views.
    Henk van Velden

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •